WordPress.org

Plugin Reviews

Force Strong Passwords

Forces users to enter something strong when updating their passwords.

3 reviews
Average Rating
4 out of 5 stars
You are currently viewing the reviews that provided a rating of 5 stars. Click here to see all reviews.
Essential Plugin
By , for WP 4.0

This level of security for passwords should be in the WordPress core.

Well done mate.

Essential
By , for WP 4.0

This is a great approach to tackling a key weak point in WordPress security: users selecting weak passwords. This should be built-in to WordPress.

strong passwords
By , for WP 3.8

For this As of WordPress 3.7, the password strength meter is based on the Dropbox "zxcvbn" script.

I found this script impossible to guess a strong password correctly. Really defeats the purpose of password security when you have to write it down and post it on the monitor to be efficent. A shorter password I could remember.

You must log in to submit a review. You can also log in or register using the form near the top of this page.